// #autoload
// #name = DioRepKits
// #version = 1.0
// #date = 11/30/2001 5:40PM
// #status = release
// #author = |Rx|Diogenes
// #warrior = Diogenes
// #email = diogenes@tribalpharmacy.com
// #web = http://www.tribalpharmacy.com
// #include = support/loadout.cs
// #description = Use repair kits on pickup with audio notification
// #category = DioScripts

package DioRepKits {

function DioRepKitsUse(){
	if($pref::DioRepKits::On){
		useRepairKit(1);
		schedule(300,0,DioRepKitSound);
	}
}

function DioRepKitSound(){
	if(loadout.getRepairKit() !=1){
			alxPlay( repalert, 0, 0, 0);
	}
}

function DioRepKitsToggle(%val){
	if(%val){
		if($pref::DioRepKits::On){
			$pref::DioRepKits::On = false;
			%message = "\c5DioRepKits:\c0 OFF~wgui/buttondown.wav";
		}
		else{
			$pref::DioRepKits::On = true;
			%message = "\c5DioRepKits:\c0 ON~wgui/buttonover.wav";		
		}
		defaultmessagecallback('', %message);
	}
}

function DioRepKitsLoad(){
	callback.add(RepairKitReceived,DioRepKitsUse);
	
	new AudioProfile(repalert)
	{
	   filename    = "gui/objective_notification.wav";
	   description = "AudioGui";
		  preload = true;
	};
	
	if($pref::DioRepKits::On $= ""){
		$pref::DioRepKits::On = true;
	}
	
}

function OptionsDlg::onWake(%this){
	if (!$DioRepKitsBind)
	{
		$RemapName[$RemapCount] = "DioRepKits Toggle";
		$RemapCmd[$RemapCount]  = "DioRepKitsToggle";
		$RemapCount++;
		
		$DioRepKitsBind = true;
	}
	parent::onWake(%this);
}

}; 

activatePackage(DioRepKits);

DioRepKitsLoad();





